Summary: Allows you to retrieve and manipulate images from digital cameras
Name: gphoto        
Version: 0.4.2
Release: 4
Copyright: GPL
Group: Applications/Publishing
Source: ftp://ftp.gphoto.org/projects/gphoto/pub/tar/gphoto/0.3/gphoto-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root
URL: http://www.gphoto.org/
Requires: gtk+ >= 1.2.0
Prefix: /usr
Docdir: %{prefix}/doc

%description
gPhoto enables you to take a photo from any digital camera, load it
onto your Linux system, print it, mail it, put it on your web site,
save it on your storage media in popular graphics formats or just view
it on your monitor. gPhoto sports a new HTML engine that allows the
creation of gallery themes (HTML templates with special tags) making
publishing images to the world wide web a snap. A directory browse
mode is implemented making it easy to create an HTML gallery from
images already on your computer.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" %configure
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT  install

strip $RPM_BUILD_ROOT/usr/bin/* || :

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Applications

cat > $RPM_BUILD_ROOT/etc/X11/applnk/Applications/gphoto.desktop << EOF
[Desktop Entry]
Name=gPhoto
Type=Application
Exec=/usr/bin/gphoto %f
Comment=%{summary}
Icon=
EOF


%post -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog FAQ MANUAL NEWS README THEMES THANKS
%{prefix}/man/*/*
%{prefix}/bin/gphoto
%{prefix}/bin/gphoto-exifdump
%{prefix}/bin/qm100
%{prefix}/bin/qmxxx
%{prefix}/bin/rsony
%{prefix}/share/gphoto
%{prefix}/lib/gphoto
%config /etc/X11/applnk/Applications/gphoto.desktop

%changelog
* Mon Feb 21 2000 Tim Powers <timp@redhat.com>
- Doh! The drivers weren't included in the file list. Fixed.

* Thu Feb 10 2000 Tim Powers <timp@redhat.com>
- using DESTDIR= for install instead of prefix=blah
- added defattr in files section
- removed gzipping of man pages so that rpm/build system can do it
	automatically. Also fixed in files section so that it is /usr/man/*/*
- strib binaries in /usr/bin, not sure if it would be acceptable to strip the
	drivers. So not doing it.

* Thu Feb 10 2000 Preston Brown <pbrown@redhat.com>
- 0.4.2, desktop file is a config file

* Wed Nov 10 1999 Tim Powers <timp@redhat.com>
- started changelog
- updated from 0.3.0 to 0.4.0
- gzip man pages
- cleaned up %files section a bit
